=== debian/control ===
Source: oxygen
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-frameworkintegration-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kwayland-dev,
               kwayland5-dev,
               libkdecorations3-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5kcmutils-dev,
               libkf5service-dev,
               libkf5style-dev,
               libkf5wayland-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libplasma-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxcb1-dev,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 4.6.2
Homepage: https://https://invent.kde.org/plasma/oxygen/
Vcs-Git: https://invent.kde.org/neon/kde/oxygen.git
Vcs-Browser: https://invent.kde.org/neon/kde/oxygen
Maintainer: Neon CI <neon@kde.org>

Package: oxygen
Architecture: any
Depends: plasma-theme-oxygen (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Oxygen meta-package
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.

Package: plasma-theme-oxygen
Architecture: any
Depends: kde-style-oxygen (= ${binary:Version}),
         kde-style-oxygen-qt5 (= ${binary:Version}),
         kwin-decoration-oxygen (= ${binary:Version}),
         oxygen-cursor-theme,
         oxygen-sounds,
         qml-module-qtquick2,
         qml6-module-qtquick,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Look-and-feel for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.

Package: kde-style-oxygen
Architecture: any
Depends: liboxygenstyle6 (= ${binary:Version}),
         liboxygenstyleconfig6 (= ${binary:Version}),
         oxygen (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-style-oxygen-qt5 (<< 4:5.91.90), kde-style-oxygen-qt6
Replaces: kde-style-oxygen-qt5 (<< 4:5.91.90), kde-style-oxygen-qt6
Description: Qt decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 6 widget theme.

Package: kwin-decoration-oxygen
Architecture: any
Depends: plasma-theme-oxygen, ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-decoration-oxygen6
Replaces: kwin-decoration-oxygen6
Description: KWin decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the KWin decoration and settings modules.

Package: oxygen-cursor-theme
Architecture: all
Depends: plasma-theme-oxygen, ${misc:Depends}, ${shlibs:Depends}
Description: Default Plasma cursor theme.
 These are the Oxygen cursor themes for the KDE Plasma 6 desktop.
 .
 This package is part of the Oxygen theme module.

Package: liboxygenstyle6
Architecture: any
Section: libs
Depends: kde-style-oxygen (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-style-oxygen-qt5 (<< 4:5.91.90)
Replaces: kde-style-oxygen-qt5 (<< 4:5.91.90)
Description: style library for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig6
Architecture: any
Section: libs
Depends: kde-style-oxygen (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: liboxygenstyleconfig5-5 (<< 4:5.91.90)
Replaces: liboxygenstyleconfig5-5 (<< 4:5.91.90)
Description: style library configuration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: kde-style-oxygen-qt5
Architecture: any
Depends: liboxygenstyle5-5,
         liboxygenstyleconfig5-5,
         oxygen (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 5 widget theme.

Package: liboxygenstyle5
Architecture: any
Section: libs
Depends: kde-style-oxygen-qt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: style library for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyle5-5
Architecture: all
Depends: kde-style-oxygen-qt5, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: liboxygenstyleconfig5
Architecture: any
Section: libs
Depends: kde-style-oxygen-qt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: style library configuration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: liboxygenstyleconfig5-5
Architecture: all
Depends: kde-style-oxygen-qt5, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
